//////////////////////////////////////////////////////////////////////////
//
//	ComponentEditor.app
//	FileName: ComponentEditor.h
//
//	Written by zander@cnext.crec.mipt.ru (Aleksey Sudakov)
// 	Feb. 2,1996
//		LastModified: March 3, 1996
//

#import <objc/Object.h>
#import <appkit/Text.h>
#import <foundation/NSString.h>
#import <foundation/NSPathUtilities.h>
#import <foundation/NSBundle.h>
#import <foundation/NSUtilities.h>
#import "Text_more.h"
#import "XText.subproj/XText.h" 

@interface ComponentEditor: Object
{
    id	window;
    XText *templateText;
    XText *declarationText;
    XText *scriptText;

    ScrollView *templateScrollView;
    ScrollView *declarationScrollView;
    ScrollView *scriptScrollView;

    NSString* dir;

    NSString* template;
    NSString* declaration;
    NSString* script;
}

- awakeFromNib;
- init;
- (void)initTexts;
- initFromDirectory:(const char*)aFilename;

- window;

- setFilename:(const char*)aFilename;
- save:sender;
- saveAs:sender;

- _writeText:aText to:(NSString*)path;
- _parseMethods;
- _parseElements;

// Controlling the windows
- showAllFiles:sender;
- showTemplateOnly:sender;
- showDeclarationOnly:sender;
- showScriptOnly:sender;
- _resizeCheatWindowFor:mainView andHide:secondView :thirdView;

// Delegation done by the Texts

- textDidChange:sender;

// Delegation done by the Window
- windowWillClose:sender;

- (void)dealloc;
@end
//
//	TODO: 
//