//////////////////////////////////////////////////////////////////////////
//
//	ComponentEditor.app
//	FileName: ComponentEditor.h
//
//	Written by zander@cnext.crec.mipt.ru (Aleksey Sudakov)
// 	Feb. 2,1996
//		LastModified: March 24, 1996
//

#import <objc/Object.h>
#import <appkit/Text.h>
#import <foundation/NSString.h>
#import <foundation/NSPathUtilities.h>
#import <foundation/NSBundle.h>
#import <foundation/NSUtilities.h>
#import "Text_more.h"
#import "XText.subproj/XText.h" 

@interface ComponentEditor: Object
{
    id	window;
    XText *templateText;
    XText *declarationText;
    XText *scriptText;

    ScrollView *templateScrollView;
    ScrollView *declarationScrollView;
    ScrollView *scriptScrollView;

    NSString* dir;
    NSArray* 	styles;

    NSString* template;
    NSString* declaration;
    NSString* script;
}

- awakeFromNib;
- init;
- (void)_initTexts;
- (void)_initStyles;
- (void)_applyStyles;
/*	This is the way things should be done in OpenStep
- (void)_applyStyleTo:(NSString*)key font:(NSFont*)font color:(NSColor*)color;
*/
- (void)_applyStyleTo:(NSString*)key font:font color:color;
- initFromDirectory:(const char*)aFilename;

- window;

- setFilename:(const char*)aFilename;
- (NSString*)filename;

- save:sender;
- saveAs:sender;
- print:sender;
- (BOOL)shouldRunPrintPanel:aView;

- _writeText:aText to:(NSString*)path;
- _parseMethods;
- _parseElements;

// Controlling the windows
- showAllFiles:sender;
- showTemplateOnly:sender;
- showDeclarationOnly:sender;
- showScriptOnly:sender;
- _resizeCheatWindowFor:mainView andHide:secondView :thirdView;

// Delegation done by the Texts

- textDidChange:sender;

// Delegation done by the Window
- windowWillClose:sender;

- (void)dealloc;
@end
//
//	TODO: 
//